Subject: bug#65030: 30.0.50; Check keyword args of make-process

From: Robert Pluim <[email-masked]>
Date: Tue, 08 Aug 2023 15:18:21 +0200

>>>>> On Tue, 8 Aug 2023 15:05:06 +0200, Mattias Engdegård <[email-masked]> said:

    Mattias> 8 aug. 2023 kl. 14.16 skrev Eli Zaretskii <[email-masked]>:
    >> Misspelled arguments to make-process don't elicit errors as of now, do
    >> they?

    Mattias> No and that would be good to fix as well, but we should
    Mattias> first make existing errors understandable.

    Mattias> For example, (wrong-type-argument stringp nil) is not a
    Mattias> human-readable way to say "You forgot the :name parameter
    Mattias> which is actually mandatory despite the docs making this
    Mattias> almost impossible to find out"

Youʼll get no objections from me for that. Perhaps we need a
CHECK_STRING_WITH_MESSAGE macro or similar.

Robert
--